<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Cash Print";
$file = "cash_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$myyear = $_SESSION[$myyear];
$zroot = $_SESSION["zdir"];
$zcomp = $_SESSION["comp_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$getcomp = mysqli_query($conn, "SELECT * FROM $zroot.`company` where `code` = '$fseries'")or die(mysqli_error($conn));
$comp = mysqli_fetch_array($getcomp);

mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {

    $name = $_POST[name];
    $initial = $_POST[initial];

    $namecond = "";
    $initcond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($initial)) {
        $initcond = " AND `init`='$initial' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `accmast` WHERE grpcode = '002'
                            $namecond $initcond order by name ")or die(mysqli_error($conn));
    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr  class="mySearchTr">
                            <th>Sr</th>
                            <!--<th>Manual Code</th>-->
                            <th>Name</th>                        
                            <th>Initial</th>                        
                            <th>Opening Balance</th>                        
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {


                            Echo "<tr>";
                            Echo"<td>$ctr</td>";
//                            Echo"<td>$pmain[mancode]</td>";
                            Echo"<td>$pmain[name]</td>";
                            Echo"<td>$pmain[initial]</td>";
                            Echo"<td>$pmain[openbal]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {

    $name = $_POST['name'];
    $initial = $_POST['initial'];

    $namecond = "";
    $initcond = "";
    if (!empty($name)) {
        $namecond = " AND `id`='$name' ";
    }
    if (!empty($initial)) {
        $initcond = " AND `id`='$initial' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `accmast` WHERE grpcode = '002' AND series = '$fseries'
                            $namecond $initcond order by name ")or die(mysqli_error($conn));
    $contents.="Sr., Name, Initial, Opening Balance \n";
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pcode = $pmain['mancode'];
        $pname = $pmain['name'];
        $pinitial = $pmain['initial'];
        $popenbal = $pmain['openbal'];


        $contents.=$ctr . ",";
        $contents.=$pcode . ",";
        $contents.=$pname . ",";
        $contents.=$pinitial . ",";
        $contents.=$popenbal . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);
    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {
    $name = $_POST[name];
    $initial = $_POST[initial];

    $namecond = "";
    $initcond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($initial)) {
        $initcond = " AND `init`='$initial' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `accmast` WHERE grpcode = '002' AND series = '$fseries'
                            $namecond $initcond order by name ")or die(mysqli_error($conn));


    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {

//Position at 1.5 cm from bottom

            $this->SetY(-15);

//Arial italic 8

            $this->SetFont('Arial', 'I', 8);

//Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('P', 'mm', 'A4');

    $pdf->AliasNbPages();
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 12);
    $pdf->SetFillColor(210, 204, 204);
    $pdf->SetTextColor(000, 000, 000);
    if ($dtype == 1) {
        $rtype = " - Summary";
    } elseif ($dtype == 2) {
        $rtype = " - Detail";
    } elseif ($dtype == '') {
        $rtype = '';
    }
    if ($mfdt != '') {
        $mfdt = "From Date - $mfdt";
    }if ($mtdt != '') {
        $mtdt = "To Date - $mtdt";
    }
    $pdf->MultiCell(193, 7, "$comp[compname]\n$comp[address]\n$formname $rtype " . "                                                                                                   " . "Report Date-" . Date("d-m-Y") . "\n" . $mfdt . "          " . $mtdt, Alignment . LEFT, false, 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(238, 61, 111);
    $pdf->SetFillColor(249, 244, 245);
    $pdf->Cell(193, 7, "Date - " . Date("d-m-y"), 1, 0, '', 1, 0, 'L');
    $pdf->Ln();
    $pdf->Cell(193, 7, "Print - " . $formname, 1, 0, '', 1, 0, 'L');
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(000, 000, 000);
    $pdf->SetFillColor(239, 228, 176);
    $pdf->Cell(20, 7, "Sr", 1, 0, '', 1);
    $pdf->Cell(33, 7, "Manual Code", 1, 0, '', 1);
    $pdf->Cell(70, 7, "Name", 1, 0, '', 1);
    $pdf->Cell(35, 7, "Initial", 1, 0, '', 1);
    $pdf->Cell(35, 7, "Opening Balance", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;
        $pdf->SetFont('Arial', '', 10);
        $pdf->Cell(20, 7, "$ctr", 1);
        $pdf->Cell(33, 7, "$pmain[mancode]", 1);
        $pdf->Cell(70, 7, "$pmain[name]", 1);
        $pdf->Cell(35, 7, "$pmain[initial]", 1);
        $pdf->Cell(35, 7, "$pmain[openbal]", 1);
        $pdf->Ln();
    }
    $pdf->Output("Bank.pdf", "D");
}
?>